package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanGroupChatPlanLog
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 15:17:50
 * @Modify
 * @CopyRight 
 */
public class ReceiveExcelVO implements Serializable {

    private static final long serialVersionUID = 21625366526300L;

    /**
     * 任务名称
     */
    private String name;
    /**
     * 群名称
     */
    private String chatName;
    /**
     * 群人数
     */
    private Integer chatTotalCount;
    /**
     * 发送人
     */
    private String staffName;
    /**
     * 关联导购
     */
    private String clerkName;

    private String clerkCode;
    /**
     * 关联门店
     */
    private String storeName;
    private String storeCode;
    /**
     * 发送状态
     */
    private Integer sendStatus;
    /**
     * 发送状态
     */
    private String sendStatusExcel;
    /**
     * 发送时间
     */
    private Date sendTime;
    /**
     * 任务开始时间
     */
    private Date startTime;
    /**
     * 任务结束时间
     */
    private Date endTime;

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChatName() {
        return chatName;
    }

    public void setChatName(String chatName) {
        this.chatName = chatName;
    }

    public Integer getChatTotalCount() {
        return chatTotalCount;
    }

    public void setChatTotalCount(Integer chatTotalCount) {
        this.chatTotalCount = chatTotalCount;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getSendStatus() {
        return sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getSendStatusExcel() {
        sendStatusExcel = "发送失败";
        if(this.sendStatus == 0){
            sendStatusExcel = "发送失败";
        }else if (this.sendStatus == 2){
            sendStatusExcel = "已发送";
        }
        return sendStatusExcel;
    }

    public void setSendStatusExcel(String sendStatusExcel) {
        this.sendStatusExcel = sendStatusExcel;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}